searchNodes=[{"doc":"Documentation for Ethers .","ref":"Ethers.html","title":"Ethers","type":"module"},{"doc":"Returns the current gas price from the RPC API","ref":"Ethers.html#current_gas_price/0","title":"Ethers.current_gas_price/0","type":"function"},{"doc":"Deploys a contract to the blockchain. This will return the transaction hash for the deployment transaction. To get the address of your deployed contract, use Ethers.deployed_address/2 . Parameters contract_module_or_binary: Either the contract module which was already loaded or the compiled binary of the contract. contract_init: Constructor value for contract deployment. Use CONTRACT_MODULE.constructor function's output. opts: RPC and account options.","ref":"Ethers.html#deploy/4","title":"Ethers.deploy/4","type":"function"},{"doc":"Returns the address of the deployed contract if the deployment is finished and successful Parameters tx_hash: Hash of the Transaction which created a contract. opts: RPC and account options.","ref":"Ethers.html#deployed_address/2","title":"Ethers.deployed_address/2","type":"function"},{"doc":"Estimates gas for a eth_call Parameters params opts: RPC and account options.","ref":"Ethers.html#estimate_gas/2","title":"Ethers.estimate_gas/2","type":"function"},{"doc":"Returns the event logs with the given filter","ref":"Ethers.html#get_logs/3","title":"Ethers.get_logs/3","type":"function"},{"doc":"Dynamically creates modules for ABIs at compile time. How to use You can simply create a new module and call use Ethers.Contract in it with the desired parameters. defmodule MyProject.Contract do use Ethers.Contract , abi_file : &quot;path/to/abi.json&quot; end After this, the functions in your contracts should be accessible just by calling data = MyProject.Contract . example_function ( ... ) # Use data to handle eth_call Ethers.Contract . call ( data , to : &quot;0xADDRESS&quot; , from : &quot;0xADDRESS&quot; ) { :ok , [ ... ] } Valid use options abi: Used to pass in the encoded/decoded json ABI of contract. abi_file: Used to pass in the file path to the json ABI of contract.","ref":"Ethers.Contract.html","title":"Ethers.Contract","type":"module"},{"doc":"","ref":"Ethers.Contract.html#t:action/0","title":"Ethers.Contract.action/0","type":"type"},{"doc":"","ref":"Ethers.Contract.html#t:t_event_output/0","title":"Ethers.Contract.t_event_output/0","type":"type"},{"doc":"","ref":"Ethers.Contract.html#t:t_function_output/0","title":"Ethers.Contract.t_function_output/0","type":"type"},{"doc":"RPC Methods for interacting with the Ethereum blockchain","ref":"Ethers.RPC.html","title":"Ethers.RPC","type":"module"},{"doc":"Makes an eth_call to with the given data and overrides, Than parses the response using the selector in the params Overrides This function accepts all of options which Ethereumex.BaseClient.eth_send_transaction accepts. Notable you can use these. :to : Indicates recepient address. (Contract address in this case) Options :block : The block number or block alias. Defaults to latest :rpc_client : The RPC Client to use. It should implement ethereum jsonRPC API. default: Ethereumex.HttpClient :rpc_opts : Extra options to pass to rpc_client. (Like timeout, Server URL, etc.) Examples iex&gt; Ethers.Contract.ERC20 . total_supply ( ) |&gt; Ethers.Contract . call ( to : &quot;0xa0b...ef6&quot; ) { :ok , [ 100000000000000 ] }","ref":"Ethers.RPC.html#call/3","title":"Ethers.RPC.call/3","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_call/3","title":"Ethers.RPC.eth_call/3","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_estimate_gas/2","title":"Ethers.RPC.eth_estimate_gas/2","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_gas_price/1","title":"Ethers.RPC.eth_gas_price/1","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_get_logs/2","title":"Ethers.RPC.eth_get_logs/2","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_get_transaction_receipt/2","title":"Ethers.RPC.eth_get_transaction_receipt/2","type":"function"},{"doc":"","ref":"Ethers.RPC.html#eth_send_transaction/2","title":"Ethers.RPC.eth_send_transaction/2","type":"function"},{"doc":"Makes an eth_send to with the given data and overrides, Then returns the transaction binary. Overrides This function accepts all of options which Ethereumex.BaseClient.eth_send_transaction accepts. Notable you can use these. :to : Indicates recepient address. (Contract address in this case) Options :rpc_client : The RPC Client to use. It should implement ethereum jsonRPC API. default: Ethereumex.HttpClient :rpc_opts : Extra options to pass to rpc_client. (Like timeout, Server URL, etc.) Examples iex&gt; Ethers.Contract.ERC20 . transfer ( &quot;0xff0...ea2&quot; , 1000 ) |&gt; Ethers.Contract . send ( to : &quot;0xa0b...ef6&quot; ) { :ok , transaction_bin }","ref":"Ethers.RPC.html#send/3","title":"Ethers.RPC.send/3","type":"function"},{"doc":"EVM types and compound type definitions","ref":"Ethers.Types.html","title":"Ethers.Types","type":"module"},{"doc":"Converts EVM data types to typespecs for documentation","ref":"Ethers.Types.html#to_elixir_type/1","title":"Ethers.Types.to_elixir_type/1","type":"function"},{"doc":"Ethereum address in its hex format with 0x Example: 0xdAC17F958D2ee523a2206206994597C13D831ec7","ref":"Ethers.Types.html#t:t_address/0","title":"Ethers.Types.t_address/0","type":"type"},{"doc":"Ethereum transaction has in it's hex format with 0x Example: 0xd4288c8e733eb71a39fe2e8dd4912ce54d8d26d9874f30309b26b4b071260422","ref":"Ethers.Types.html#t:t_transaction_hash/0","title":"Ethers.Types.t_transaction_hash/0","type":"type"},{"doc":"Utilities for interacting with ethereum blockchain","ref":"Ethers.Utils.html","title":"Ethers.Utils","type":"module"},{"doc":"Convert WEI to ETH Examples iex&gt; Ethers.Utils . from_wei ( 1000000000000000000 ) 1.0 iex&gt; Ethers.Utils . from_wei ( 3140000000000000000 ) 3.14","ref":"Ethers.Utils.html#from_wei/1","title":"Ethers.Utils.from_wei/1","type":"function"},{"doc":"Decode from hex with (or without) 0x prefix. Examples iex&gt; Ethers.Utils . hex_decode ( &quot;0x6574686572735f6578&quot; ) { :ok , &quot;ethers_ex&quot; } iex&gt; Ethers.Utils . hex_decode ( &quot;6574686572735f6578&quot; ) { :ok , &quot;ethers_ex&quot; }","ref":"Ethers.Utils.html#hex_decode/1","title":"Ethers.Utils.hex_decode/1","type":"function"},{"doc":"Encode to hex with 0x prefix. Examples iex&gt; Ethers.Utils . hex_encode ( &quot;ethers_ex&quot; ) &quot;0x6574686572735f6578&quot;","ref":"Ethers.Utils.html#hex_encode/2","title":"Ethers.Utils.hex_encode/2","type":"function"},{"doc":"Converts a hexadecimal integer to integer form Examples iex&gt; Ethers.Utils . hex_to_integer ( &quot;0x11111&quot; ) { :ok , 69905 }","ref":"Ethers.Utils.html#hex_to_integer/1","title":"Ethers.Utils.hex_to_integer/1","type":"function"},{"doc":"Converts integer to its hexadecimal form Examples iex&gt; Ethers.Utils . integer_to_hex ( 69905 ) &quot;0x11111&quot;","ref":"Ethers.Utils.html#integer_to_hex/1","title":"Ethers.Utils.integer_to_hex/1","type":"function"},{"doc":"Adds gas limit estimation to the parameters if not already exists","ref":"Ethers.Utils.html#maybe_add_gas_limit/2","title":"Ethers.Utils.maybe_add_gas_limit/2","type":"function"},{"doc":"Converts ETH to WEI Examples iex&gt; Ethers.Utils . to_wei ( 1 ) 1000000000000000000 iex&gt; Ethers.Utils . to_wei ( 3.14 ) 3140000000000000000","ref":"Ethers.Utils.html#to_wei/1","title":"Ethers.Utils.to_wei/1","type":"function"},{"doc":"ERC1155 token interface More info: https://ethereum.org/en/developers/docs/standards/tokens/erc-1155/","ref":"Ethers.Contract.ERC1155.html","title":"Ethers.Contract.ERC1155","type":"module"},{"doc":"Executes balanceOf(address account, uint256 id) on the contract. Parameters account: :address id: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 256}","ref":"Ethers.Contract.ERC1155.html#balance_of/3","title":"Ethers.Contract.ERC1155.balance_of/3","type":"function"},{"doc":"Executes balanceOfBatch(address[] accounts, uint256[] ids) on the contract. Parameters accounts: {:array, :address} ids: {:array, {:uint, 256}} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:array, {:uint, 256}}","ref":"Ethers.Contract.ERC1155.html#balance_of_batch/3","title":"Ethers.Contract.ERC1155.balance_of_batch/3","type":"function"},{"doc":"Executes isApprovedForAll(address account, address operator) on the contract. Parameters account: :address operator: :address overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC1155.html#is_approved_for_all/3","title":"Ethers.Contract.ERC1155.is_approved_for_all/3","type":"function"},{"doc":"Executes safeBatchTransferFrom(address from, address to, uint256[] ids, uint256[] amounts, bytes data) on the contract. Parameters from: :address to: :address ids: {:array, {:uint, 256}} amounts: {:array, {:uint, 256}} data: :bytes overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC1155.html#safe_batch_transfer_from/6","title":"Ethers.Contract.ERC1155.safe_batch_transfer_from/6","type":"function"},{"doc":"Executes safeTransferFrom(address from, address to, uint256 id, uint256 amount, bytes data) on the contract. Parameters from: :address to: :address id: {:uint, 256} amount: {:uint, 256} data: :bytes overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC1155.html#safe_transfer_from/6","title":"Ethers.Contract.ERC1155.safe_transfer_from/6","type":"function"},{"doc":"Executes setApprovalForAll(address operator, bool approved) on the contract. Parameters operator: :address approved: :bool overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC1155.html#set_approval_for_all/3","title":"Ethers.Contract.ERC1155.set_approval_for_all/3","type":"function"},{"doc":"Executes supportsInterface(bytes4 interfaceId) on the contract. Parameters interfaceId: {:bytes, 4} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC1155.html#supports_interface/2","title":"Ethers.Contract.ERC1155.supports_interface/2","type":"function"},{"doc":"Executes uri(uint256 id) on the contract. Parameters id: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :string","ref":"Ethers.Contract.ERC1155.html#uri/2","title":"Ethers.Contract.ERC1155.uri/2","type":"function"},{"doc":"ERC20 token interface More info: https://ethereum.org/en/developers/docs/standards/tokens/erc-20/","ref":"Ethers.Contract.ERC20.html","title":"Ethers.Contract.ERC20","type":"module"},{"doc":"Executes allowance(address _owner, address _spender) on the contract. Parameters _owner: :address _spender: :address overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 256}","ref":"Ethers.Contract.ERC20.html#allowance/3","title":"Ethers.Contract.ERC20.allowance/3","type":"function"},{"doc":"Executes approve(address _spender, uint256 _value) on the contract. Parameters _spender: :address _value: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC20.html#approve/3","title":"Ethers.Contract.ERC20.approve/3","type":"function"},{"doc":"Executes balanceOf(address _owner) on the contract. Parameters _owner: :address overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 256}","ref":"Ethers.Contract.ERC20.html#balance_of/2","title":"Ethers.Contract.ERC20.balance_of/2","type":"function"},{"doc":"Executes decimals() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 8}","ref":"Ethers.Contract.ERC20.html#decimals/1","title":"Ethers.Contract.ERC20.decimals/1","type":"function"},{"doc":"Executes name() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :string","ref":"Ethers.Contract.ERC20.html#name/1","title":"Ethers.Contract.ERC20.name/1","type":"function"},{"doc":"Executes symbol() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :string","ref":"Ethers.Contract.ERC20.html#symbol/1","title":"Ethers.Contract.ERC20.symbol/1","type":"function"},{"doc":"Executes totalSupply() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 256}","ref":"Ethers.Contract.ERC20.html#total_supply/1","title":"Ethers.Contract.ERC20.total_supply/1","type":"function"},{"doc":"Executes transfer(address _to, uint256 _value) on the contract. Parameters _to: :address _value: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC20.html#transfer/3","title":"Ethers.Contract.ERC20.transfer/3","type":"function"},{"doc":"Executes transferFrom(address _from, address _to, uint256 _value) on the contract. Parameters _from: :address _to: :address _value: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC20.html#transfer_from/4","title":"Ethers.Contract.ERC20.transfer_from/4","type":"function"},{"doc":"ERC721 token interface More info: https://ethereum.org/en/developers/docs/standards/tokens/erc-721/","ref":"Ethers.Contract.ERC721.html","title":"Ethers.Contract.ERC721","type":"module"},{"doc":"Executes approve(address to, uint256 tokenId) on the contract. Parameters to: :address tokenId: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC721.html#approve/3","title":"Ethers.Contract.ERC721.approve/3","type":"function"},{"doc":"Executes balanceOf(address owner) on the contract. Parameters owner: :address overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 256}","ref":"Ethers.Contract.ERC721.html#balance_of/2","title":"Ethers.Contract.ERC721.balance_of/2","type":"function"},{"doc":"Executes getApproved(uint256 tokenId) on the contract. Parameters tokenId: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :address","ref":"Ethers.Contract.ERC721.html#get_approved/2","title":"Ethers.Contract.ERC721.get_approved/2","type":"function"},{"doc":"Executes isApprovedForAll(address owner, address operator) on the contract. Parameters owner: :address operator: :address overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC721.html#is_approved_for_all/3","title":"Ethers.Contract.ERC721.is_approved_for_all/3","type":"function"},{"doc":"Executes name() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :string","ref":"Ethers.Contract.ERC721.html#name/1","title":"Ethers.Contract.ERC721.name/1","type":"function"},{"doc":"Executes ownerOf(uint256 tokenId) on the contract. Parameters tokenId: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :address","ref":"Ethers.Contract.ERC721.html#owner_of/2","title":"Ethers.Contract.ERC721.owner_of/2","type":"function"},{"doc":"Executes safeTransferFrom(address from, address to, uint256 tokenId) on the contract. Parameters from: :address to: :address tokenId: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC721.html#safe_transfer_from/4","title":"Ethers.Contract.ERC721.safe_transfer_from/4","type":"function"},{"doc":"Executes safeTransferFrom(address from, address to, uint256 tokenId, bytes data) on the contract. Parameters from: :address to: :address tokenId: {:uint, 256} data: :bytes overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC721.html#safe_transfer_from/5","title":"Ethers.Contract.ERC721.safe_transfer_from/5","type":"function"},{"doc":"Executes setApprovalForAll(address operator, bool _approved) on the contract. Parameters operator: :address _approved: :bool overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC721.html#set_approval_for_all/3","title":"Ethers.Contract.ERC721.set_approval_for_all/3","type":"function"},{"doc":"Executes supportsInterface(bytes4 interfaceId) on the contract. Parameters interfaceId: {:bytes, 4} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC721.html#supports_interface/2","title":"Ethers.Contract.ERC721.supports_interface/2","type":"function"},{"doc":"Executes symbol() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :string","ref":"Ethers.Contract.ERC721.html#symbol/1","title":"Ethers.Contract.ERC721.symbol/1","type":"function"},{"doc":"Executes tokenURI(uint256 tokenId) on the contract. Parameters tokenId: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :string","ref":"Ethers.Contract.ERC721.html#token_uri/2","title":"Ethers.Contract.ERC721.token_uri/2","type":"function"},{"doc":"Executes totalSupply() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 256}","ref":"Ethers.Contract.ERC721.html#total_supply/1","title":"Ethers.Contract.ERC721.total_supply/1","type":"function"},{"doc":"Executes transferFrom(address from, address to, uint256 tokenId) on the contract. Parameters from: :address to: :address tokenId: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC721.html#transfer_from/4","title":"Ethers.Contract.ERC721.transfer_from/4","type":"function"},{"doc":"ERC777 token interface More info: https://ethereum.org/en/developers/docs/standards/tokens/erc-777/","ref":"Ethers.Contract.ERC777.html","title":"Ethers.Contract.ERC777","type":"module"},{"doc":"Executes allowance(address holder, address spender) on the contract. Parameters holder: :address spender: :address overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 256}","ref":"Ethers.Contract.ERC777.html#allowance/3","title":"Ethers.Contract.ERC777.allowance/3","type":"function"},{"doc":"Executes approve(address spender, uint256 value) on the contract. Parameters spender: :address value: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC777.html#approve/3","title":"Ethers.Contract.ERC777.approve/3","type":"function"},{"doc":"Executes authorizeOperator(address operator) on the contract. Parameters operator: :address overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC777.html#authorize_operator/2","title":"Ethers.Contract.ERC777.authorize_operator/2","type":"function"},{"doc":"Executes balanceOf(address tokenHolder) on the contract. Parameters tokenHolder: :address overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 256}","ref":"Ethers.Contract.ERC777.html#balance_of/2","title":"Ethers.Contract.ERC777.balance_of/2","type":"function"},{"doc":"Executes burn(uint256 amount, bytes data) on the contract. Parameters amount: {:uint, 256} data: :bytes overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC777.html#burn/3","title":"Ethers.Contract.ERC777.burn/3","type":"function"},{"doc":"Prepares contract constructor values. To deploy contracts use Ethers.deploy/3 . Parameters name_: :string symbol_: :string defaultOperators_: {:array, :address}","ref":"Ethers.Contract.ERC777.html#constructor/3","title":"Ethers.Contract.ERC777.constructor/3","type":"function"},{"doc":"Executes decimals() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 8}","ref":"Ethers.Contract.ERC777.html#decimals/1","title":"Ethers.Contract.ERC777.decimals/1","type":"function"},{"doc":"Executes defaultOperators() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:array, :address}","ref":"Ethers.Contract.ERC777.html#default_operators/1","title":"Ethers.Contract.ERC777.default_operators/1","type":"function"},{"doc":"Executes granularity() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 256}","ref":"Ethers.Contract.ERC777.html#granularity/1","title":"Ethers.Contract.ERC777.granularity/1","type":"function"},{"doc":"Executes isOperatorFor(address operator, address tokenHolder) on the contract. Parameters operator: :address tokenHolder: :address overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC777.html#is_operator_for/3","title":"Ethers.Contract.ERC777.is_operator_for/3","type":"function"},{"doc":"Executes name() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :string","ref":"Ethers.Contract.ERC777.html#name/1","title":"Ethers.Contract.ERC777.name/1","type":"function"},{"doc":"Executes operatorBurn(address account, uint256 amount, bytes data, bytes operatorData) on the contract. Parameters account: :address amount: {:uint, 256} data: :bytes operatorData: :bytes overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC777.html#operator_burn/5","title":"Ethers.Contract.ERC777.operator_burn/5","type":"function"},{"doc":"Executes operatorSend(address sender, address recipient, uint256 amount, bytes data, bytes operatorData) on the contract. Parameters sender: :address recipient: :address amount: {:uint, 256} data: :bytes operatorData: :bytes overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC777.html#operator_send/6","title":"Ethers.Contract.ERC777.operator_send/6","type":"function"},{"doc":"Executes revokeOperator(address operator) on the contract. Parameters operator: :address overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC777.html#revoke_operator/2","title":"Ethers.Contract.ERC777.revoke_operator/2","type":"function"},{"doc":"Executes send(address recipient, uint256 amount, bytes data) on the contract. Parameters recipient: :address amount: {:uint, 256} data: :bytes overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types","ref":"Ethers.Contract.ERC777.html#send/4","title":"Ethers.Contract.ERC777.send/4","type":"function"},{"doc":"Executes symbol() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :string","ref":"Ethers.Contract.ERC777.html#symbol/1","title":"Ethers.Contract.ERC777.symbol/1","type":"function"},{"doc":"Executes totalSupply() on the contract. Parameters overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :call . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types {:uint, 256}","ref":"Ethers.Contract.ERC777.html#total_supply/1","title":"Ethers.Contract.ERC777.total_supply/1","type":"function"},{"doc":"Executes transfer(address recipient, uint256 amount) on the contract. Parameters recipient: :address amount: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC777.html#transfer/3","title":"Ethers.Contract.ERC777.transfer/3","type":"function"},{"doc":"Executes transferFrom(address holder, address recipient, uint256 amount) on the contract. Parameters holder: :address recipient: :address amount: {:uint, 256} overrides: Overrides and options for the call. :to : The address of the recipient contract. ( Required ) :action : Type of action for this function ( :call , :send or :prepare ) Default: :send . :rpc_opts : Options to pass to the RCP client e.g. :url . Return Types :bool","ref":"Ethers.Contract.ERC777.html#transfer_from/4","title":"Ethers.Contract.ERC777.transfer_from/4","type":"function"},{"doc":"Events for Ethers.Contract.ERC1155","ref":"Ethers.Contract.ERC1155.EventFilters.html","title":"Ethers.Contract.ERC1155.EventFilters","type":"module"},{"doc":"Create event filter for ApprovalForAll(address account, address operator, bool approved) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters account: :address operator: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types account: :address operator: :address approved: :bool","ref":"Ethers.Contract.ERC1155.EventFilters.html#approval_for_all/3","title":"Ethers.Contract.ERC1155.EventFilters.approval_for_all/3","type":"function"},{"doc":"Create event filter for TransferBatch(address operator, address from, address to, uint256[] ids, uint256[] values) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address from: :address to: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address from: :address to: :address ids: {:array, {:uint, 256}} values: {:array, {:uint, 256}}","ref":"Ethers.Contract.ERC1155.EventFilters.html#transfer_batch/4","title":"Ethers.Contract.ERC1155.EventFilters.transfer_batch/4","type":"function"},{"doc":"Create event filter for TransferSingle(address operator, address from, address to, uint256 id, uint256 value) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address from: :address to: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address from: :address to: :address id: {:uint, 256} value: {:uint, 256}","ref":"Ethers.Contract.ERC1155.EventFilters.html#transfer_single/4","title":"Ethers.Contract.ERC1155.EventFilters.transfer_single/4","type":"function"},{"doc":"Create event filter for URI(string value, uint256 id) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters value: {:uint, 256} overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types value: :string id: {:uint, 256}","ref":"Ethers.Contract.ERC1155.EventFilters.html#uri/2","title":"Ethers.Contract.ERC1155.EventFilters.uri/2","type":"function"},{"doc":"Events for Ethers.Contract.ERC20","ref":"Ethers.Contract.ERC20.EventFilters.html","title":"Ethers.Contract.ERC20.EventFilters","type":"module"},{"doc":"Create event filter for Approval(address owner, address spender, uint256 value) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters owner: :address spender: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types owner: :address spender: :address value: {:uint, 256}","ref":"Ethers.Contract.ERC20.EventFilters.html#approval/3","title":"Ethers.Contract.ERC20.EventFilters.approval/3","type":"function"},{"doc":"Create event filter for Transfer(address from, address to, uint256 value) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters from: :address to: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types from: :address to: :address value: {:uint, 256}","ref":"Ethers.Contract.ERC20.EventFilters.html#transfer/3","title":"Ethers.Contract.ERC20.EventFilters.transfer/3","type":"function"},{"doc":"Events for Ethers.Contract.ERC721","ref":"Ethers.Contract.ERC721.EventFilters.html","title":"Ethers.Contract.ERC721.EventFilters","type":"module"},{"doc":"Create event filter for Approval(address owner, address approved, uint256 tokenId) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters owner: :address approved: :address tokenId: {:uint, 256} overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types owner: :address approved: :address tokenId: {:uint, 256}","ref":"Ethers.Contract.ERC721.EventFilters.html#approval/4","title":"Ethers.Contract.ERC721.EventFilters.approval/4","type":"function"},{"doc":"Create event filter for ApprovalForAll(address owner, address operator, bool approved) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters owner: :address operator: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types owner: :address operator: :address approved: :bool","ref":"Ethers.Contract.ERC721.EventFilters.html#approval_for_all/3","title":"Ethers.Contract.ERC721.EventFilters.approval_for_all/3","type":"function"},{"doc":"Create event filter for Transfer(address from, address to, uint256 tokenId) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters from: :address to: :address tokenId: {:uint, 256} overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types from: :address to: :address tokenId: {:uint, 256}","ref":"Ethers.Contract.ERC721.EventFilters.html#transfer/4","title":"Ethers.Contract.ERC721.EventFilters.transfer/4","type":"function"},{"doc":"Events for Ethers.Contract.ERC777","ref":"Ethers.Contract.ERC777.EventFilters.html","title":"Ethers.Contract.ERC777.EventFilters","type":"module"},{"doc":"Create event filter for Approval(address owner, address spender, uint256 value) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters owner: :address spender: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types owner: :address spender: :address value: {:uint, 256}","ref":"Ethers.Contract.ERC777.EventFilters.html#approval/3","title":"Ethers.Contract.ERC777.EventFilters.approval/3","type":"function"},{"doc":"Create event filter for AuthorizedOperator(address operator, address tokenHolder) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address tokenHolder: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address tokenHolder: :address","ref":"Ethers.Contract.ERC777.EventFilters.html#authorized_operator/3","title":"Ethers.Contract.ERC777.EventFilters.authorized_operator/3","type":"function"},{"doc":"Create event filter for Burned(address operator, address from, uint256 amount, bytes data, bytes operatorData) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address from: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address from: :address amount: {:uint, 256} data: :bytes operatorData: :bytes","ref":"Ethers.Contract.ERC777.EventFilters.html#burned/3","title":"Ethers.Contract.ERC777.EventFilters.burned/3","type":"function"},{"doc":"Create event filter for Minted(address operator, address to, uint256 amount, bytes data, bytes operatorData) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address to: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address to: :address amount: {:uint, 256} data: :bytes operatorData: :bytes","ref":"Ethers.Contract.ERC777.EventFilters.html#minted/3","title":"Ethers.Contract.ERC777.EventFilters.minted/3","type":"function"},{"doc":"Create event filter for RevokedOperator(address operator, address tokenHolder) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address tokenHolder: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address tokenHolder: :address","ref":"Ethers.Contract.ERC777.EventFilters.html#revoked_operator/3","title":"Ethers.Contract.ERC777.EventFilters.revoked_operator/3","type":"function"},{"doc":"Create event filter for Sent(address operator, address from, address to, uint256 amount, bytes data, bytes operatorData) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters operator: :address from: :address to: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types operator: :address from: :address to: :address amount: {:uint, 256} data: :bytes operatorData: :bytes","ref":"Ethers.Contract.ERC777.EventFilters.html#sent/4","title":"Ethers.Contract.ERC777.EventFilters.sent/4","type":"function"},{"doc":"Create event filter for Transfer(address from, address to, uint256 value) For each indexed parameter you can either pass in the value you want to filter or nil if you don't want to filter. Parameters from: :address to: :address overrides: Overrides and options for the call. ( Required ) :address : The address or list of addresses of the originating contract(s). ( Optional ) Event Data Types from: :address to: :address value: {:uint, 256}","ref":"Ethers.Contract.ERC777.EventFilters.html#transfer/3","title":"Ethers.Contract.ERC777.EventFilters.transfer/3","type":"function"},{"doc":"Elixir Ethers is a comprehensive library for interacting with the Ethereum blockchain and its ecosystem. Heavily inspired by the ethers.js library, Elixir Ethers leverages macros to convert Ethereum contract ABIs into first-class Elixir modules during compile time, complete with documentation and type-specs.","ref":"readme.html","title":"Elixir Ethers","type":"extras"},{"doc":"You can install the package by adding ethers to the list of dependencies in your mix.exs file:: def deps do [ { :ethers , &quot;~&gt; 0.1.0-dev&quot; , github : &quot;alisinabh/elixir_ethers&quot; } ] end The complete documentation is available on hexdocs .","ref":"readme.html#installation","title":"Elixir Ethers - Installation","type":"extras"},{"doc":"To use Elixir Ethers, ensure you have a configured JSON-RPC endpoint. By default, Ethers utilizes Cloudflare's Ethereum Gateway . To send transactions, you need a wallet client capable of signing transactions and exposing a JSON-RPC endpoint. Configure the endpoint using the following config parameter (you can also specify the endpoint per-call): # config.exs import Config config :ethereumex , url : &quot;[URL_HERE]&quot; For more information, refer to ethereumex .","ref":"readme.html#requirements","title":"Elixir Ethers - Requirements","type":"extras"},{"doc":"To use Elixir Ethers, you must have your contract's ABI, which can be obtained from etherscan.io . This library also supports standard contract interfaces such as ERC20 , ERC721 and some more (refer to built-in contracts in hex-doc). Create a module for your contract as follows: defmodule MyERC20Token do use Ethers.Contract , abi_file : &quot;path/to/abi.json&quot; , default_address : &quot;[Token address here (optional)]&quot; end Calling contract functions After defining the module, all the functions can be called like any other Elixir module. The documentation is also available giving the developer a first-class experience. iex&gt; MyERC20Token . balance_of ( &quot;0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2&quot; ) { :ok , [ 654294510138460920346 ] } iex&gt; h MyERC20Token . balance_of def balance_of ( owner , overrides \\\\ [ ] ) @spec balance_of ( Ethers.Types . t_address ( ) , Keyword . t ( ) ) :: { :ok , [ non_neg_integer ( ) ] } | { :ok , Ethers.Types . t_transaction_hash ( ) } | { :ok , Ethers.Contract . t_function_output ( ) } Executes balanceOf ( address _owner ) on the contract . ## Parameters • _owner : ` :address ` • overrides : Overrides and options for the call . • :to : The address of the recipient contract . ( Required ) • :action : Type of action for this function ( :call , :send or :prepare ) Default : :call . • :rpc_opts : Options to pass to the RCP client e . g . :url . ## Return Types • { :uint , 256 } Sending transaction Sending transactions is also straightforward, as Elixir Ethers automatically determines whether a function is a view function or a state-changing function, using eth_call or eth_sendTransaction accordingly. You can override this behavior with the :action override. Ensure that you specify a from option to inform your client which account to use: iex&gt; MyERC20Token . transfer ( &quot;0x[Recipient Address Here]&quot; , Ethers.Utils . to_wei ( 1 ) , from : &quot;0x[Your address here]&quot; ) { :ok , &quot;0xf313ff7ff54c6db80ad44c3ad58f72ff0fea7ce88e5e9304991ebd35a6e76000&quot; } Getting Logs (Events) Elixir Ethers provides functionality for creating event filters and fetching events from the RPC endpoint using eth_getLogs . Each contract in Ethers generates an EventFilters module (e.g. MyERC20Token.EventFilter s) that can be used to create filters for events. To create an event filter and use the Ethers.get_logs function, follow this example: iex&gt; { :ok , filter } = MyERC20Token.EventFilters . transfer ( &quot;0x[From Address Here]&quot; , nil ) Also nil can be used for a parameter in EventFilters functions to show that it should not be filtered. Then you can simply list the logs. iex&gt; Ethers . get_logs ( filter ) { :ok , [ %{ &quot;address&quot; =&gt; &quot;0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2&quot; , &quot;blockHash&quot; =&gt; &quot;0xd04d7d39f0dd6913260f1682e1863eda9b5dc0a5d4cf2dca4ef6961147a77f39&quot; , &quot;blockNumber&quot; =&gt; &quot;0x1046dd0&quot; , &quot;data&quot; =&gt; [ 1274604842999873536 ] , &quot;logIndex&quot; =&gt; &quot;0x0&quot; , &quot;removed&quot; =&gt; false , &quot;topics&quot; =&gt; [ &quot;0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef&quot; , &quot;0x0000000000000000000000006b75d8af000000e20b7a7ddf000ba900b4009a80&quot; , &quot;0x0000000000000000000000009b3df8eae6e1ed1b931086852860d3c6375d7ae6&quot; ] , &quot;transactionHash&quot; =&gt; &quot;0xd00e58a817c42f46709bea153c44b7908d88d4763472836a85e7c740dd481d69&quot; , &quot;transactionIndex&quot; =&gt; &quot;0x3&quot; } , ... ] }","ref":"readme.html#usage","title":"Elixir Ethers - Usage","type":"extras"},{"doc":"Apache License 2.0","ref":"readme.html#license","title":"Elixir Ethers - License","type":"extras"}]